<?php
// Load DB secrets from outside the web root.
require_once 'D:\secret-stuff\neighdoggo-db-params.php';

/**
 * Get a value for parameter in the GET array.
 * @param string $paramName Name of the parameter.
 * @return string|null Value, or null if not found.
 */
function getParamFromGet(string $paramName) {
    $returnValue = null;
    if (isset($_GET[$paramName])) {
        $returnValue = $_GET[$paramName];
        if ($returnValue == '') {
            $returnValue = null;
        }
    }
    return $returnValue;
}

/**
 * Check the household name.
 * @param mixed $name Name from user.
 * @return string Error message, MT if OK.
 */
function checkHouseholdName($name) {
    global $dbConnection;
    $errorMessage = '';
    if (is_null($name)) {
        $errorMessage = 'Sorry, need a household name.';
    }
    if ($errorMessage == '') {
        // Prepare SQL.
        $sql = "
            SELECT doggos.name as doggo_name
            FROM households, doggos
            WHERE households.name = :household_name
               AND households.household_id = doggos.household
            ORDER BY doggos.name;
         ";
        $stmt = $dbConnection->prepare($sql);
        // Run it.
        $stmt->execute(['household_name' => $name]);
        // Anything returned?
        if ($stmt->rowCount() == 0) {
            $errorMessage = "Sorry, no household called $name.";
        }
    }
    // Return results.
    return $errorMessage;
}
